View Issue Details

IDProjectCategoryLast Update
0019065AI War 2[All Projects] Audio WorkJun 21, 2017 12:10 pm
ReporterqipoiAssigned Tox4000Bughunter 
Severityfeature 
Status resolvedResolutionfixed 
Product Version 
Fixed in Version0.450 Sound! 
Summary0019065: Modding Framework for Player made Unit voice line mods.
DescriptionEven if you don't get the unit lines officially voiced It would be great if we had a framework for players to put their own voice work into the game. Empty Variables for "Move here, attack, etc."

In addition, a notifications options tab would be useful to customize how and when we receive voice barks from voice lines, to be able to disable it for certain events (Voice+Notifcation+bleep, notificatoin+Bleep, Off) or adjust the frequency of lines (EG once every 10 seconds, to prevent voice line Line Spam from occurring when spamming clicks. This way everyone can fully customize their notifications.
TagsNo tags attached.

Activities

BadgerBadger

Apr 14, 2017 7:08 pm

reporter   ~0046049

This needs to get tagged as AI War 2, not regular AI War.

I also would love it if the AI gave threatening messages when it was launching a CPA, wave, or similar menacing activity.

qipoi

Apr 17, 2017 8:46 am

reporter   ~0046051

Ah damn you are right, is there an easy way to change it, or should I just delete this one and add a new one to the AI war 2 section? Also I agree on the Wave messages. Would be a great help to newer players not accidentally miss incoming waves. Should come with its own customization settings, of course.

x4000Bughunter

Apr 17, 2017 1:07 pm

administrator   ~0046052

Looks like this can't be switched between projects even by me. I've closed this one, so that you can just create a new one in the right project. Thanks!

Dominus Arbitrationis

Apr 19, 2017 5:55 pm

administrator   ~0046063

And it has been moved.

x4000Bughunter

Jun 21, 2017 12:10 pm

administrator   ~0046333

Done! :)

* Big new sound effect pipeline.
** This also allows for us to have voice commands that play, but not too frequently, and for them to "fail over" to other types of sound effects to indicate orders receipt when the voice command version is on cooldown.

Issue History

Date Modified Username Field Change
Apr 14, 2017 3:05 pm qipoi New Issue
Apr 14, 2017 7:08 pm BadgerBadger Note Added: 0046049
Apr 17, 2017 8:46 am qipoi Note Added: 0046051
Apr 17, 2017 1:07 pm x4000Bughunter Internal Weight => New
Apr 17, 2017 1:07 pm x4000Bughunter Note Added: 0046052
Apr 17, 2017 1:07 pm x4000Bughunter Status new => closed
Apr 17, 2017 1:07 pm x4000Bughunter Assigned To => x4000Bughunter
Apr 17, 2017 1:07 pm x4000Bughunter Resolution open => no change required
Apr 19, 2017 5:55 pm Dominus Arbitrationis Note Added: 0046063
Apr 19, 2017 5:55 pm Dominus Arbitrationis Status closed => assigned
Apr 19, 2017 5:55 pm Dominus Arbitrationis Resolution no change required => open
Jun 21, 2017 12:10 pm x4000Bughunter Note Added: 0046333
Jun 21, 2017 12:10 pm x4000Bughunter Status assigned => resolved
Jun 21, 2017 12:10 pm x4000Bughunter Fixed in Version => 0.450 Sound!
Jun 21, 2017 12:10 pm x4000Bughunter Resolution open => fixed